/*
 * Licensed Materials - Property of IBM
 * 5725-G92 (C) Copyright IBM Corp. 2012, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
window.doLogin = function(username, password) {
//	var USERNAME_INPUT_ID = '#username';
//	var PASSWORD_INPUT_ID = '#password';
	
//	var username = $(USERNAME_INPUT_ID).val();
//	var password = $(PASSWORD_INPUT_ID).val();
	
	if(!username || !password) {
		alert("Username and password cannot be empty!");
        return;
	}
	
	WL.Device.getNetworkInfo(function(netInfo) {
		var isNetworkConnected = (netInfo.isNetworkConnected == 'true');
		function loginSuccess() {
			jq('.login', jq.mobile.activePage).popup('close');
			
			setTimeout(function() {
				window.ft.userId = username;
				var nextPage = window.ft.nextPage || $('#mainPage');
				jq.mobile.changePage(nextPage);
				window.ft.nextPage = '';
				if(isNetworkConnected) {
					connectDetected();
				}
			}, 500);
		};
		if(!isNetworkConnected || window.ft.usersLoginToServer[username]) {
			readEncCache(username, function(cachedPassword) {
				if(password != cachedPassword) {
					alert('Invalid username or password!');
				} else {
					loginSuccess();
				}
			});
		} else {
			var invocationData = {
				adapter : "FTAdapter",
				procedure : "login",
				parameters : [ username, password ]
			};
			WL.Client.invokeProcedure(invocationData, {
				onSuccess: function(resp) {
					window.ft.usersLoginToServer[username] = true;
					writeEncCache(username, password);
					loginSuccess();
				},
				onFailure: function(resp) {
					console.log("invoke FTAdapter failed: " + resp);
				}
			});
		}
	});
};