/*
 * Licensed Materials - Property of IBM
 * 5725-G92 (C) Copyright IBM Corp. 2012, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
(function($) {
	$("#boardingPassPage").live("pagebeforeshow", function() {
		var $boardingPassInfo = $('.boardingPassInfo');
		var profile = window.ft.userProfiles[window.ft.userId];
		var outFlight = window.ft.order.details.outboundFlight;
		$('.departAP', $boardingPassInfo).text(outFlight.departAP);
		$('.destAP', $boardingPassInfo).text(outFlight.destAP);
		$('.name', $boardingPassInfo).text(profile.name);
		$('.certType', $boardingPassInfo).text(CERTIFICATE_TYPE[profile.passengerInfo.certType]);
		$('.cardNo', $boardingPassInfo).text(profile.passengerInfo.cardNo);
		$('.seatNo', $boardingPassInfo).text(window.ft.seatNo);
		$('.departTime', $boardingPassInfo).text(outFlight.departDate + ' ' + outFlight.departTime);
		
		$('#boardingPassQRcode').html('').qrcode({
			width: 120, height: 120,
			text: 'Seat Number:' + window.ft.seatNo
//			text: CERTIFICATE_TYPE[profile.passengerInfo.certType] + ':' + 
//				profile.passengerInfo.cardNo + ',Seat Number:' + window.ft.seatNo
		});
	});
	
	$("#boardingPassPage").live("pageinit", function() {
	});
})(jq);